//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl.parameter;

import org.huihoo.workflow.WorkflowComplexComponent;
import org.huihoo.workflow.util.UUID;
public final class ActualParameter extends WorkflowComplexComponent
{
	//------------------------------------
	public final static int UNKNOWN_PARAMETER = 0x00;
	public final static int WORKFLOW_PARAMETER = 0x01;
	public final static int CONSTANT_PARAMETER = 0x02;
	//------------------------------------
	protected String realValue;
	protected int valueType = WORKFLOW_PARAMETER;
	//------------------------------------

	public ActualParameter()
	{
		this(null);
	}

	public ActualParameter(String value)
	{
		this.setValue(value);
		this.uuid = new UUID().toString();
	}

	public String getValue()
	{
		return realValue;
	}
	public void setValue(String value)
	{
		this.realValue = value;
	}

	public String toString()
	{
		return "[id=" + getValue() + "]";
	}

	public int getType()
	{
		return valueType;
	}
	public void setType(int valueType)
	{
		this.valueType = valueType;
	}
}
